net.minecraft.world

## Interface IBlockAccess

- All Known Implementing Classes:
    ChunkCache, DemoWorldServer, World, WorldClient, WorldServer, WorldServerMulti

      public interface IBlockAccess

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `doesBlockHaveSolidTopSurface(int i, int j, int k)`
    `boolean` | `extendedLevelsInChunkCache()`
    `BiomeGenBase` | `getBiomeGenForCoords(int i, int j)`
    `int` | `getBlockId(int i, int j, int k)` Returns the block ID at coords x,y,z
    `Material` | `getBlockMaterial(int i, int j, int k)` Returns the block's material.
    `int` | `getBlockMetadata(int i, int j, int k)` Returns the block metadata at coords x,y,z
    `TileEntity` | `getBlockTileEntity(int i, int j, int k)` Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists
    `float` | `getBrightness(int i, int j, int k, int l)`
    `int` | `getHeight()`
    `float` | `getLightBrightness(int i, int j, int k)`
    `int` | `getLightBrightnessForSkyBlocks(int i, int j, int k, int l)`
    `Vec3Pool` | `getWorldVec3Pool()` Return the Vec3Pool object for this world.
    `boolean` | `isAirBlock(int i, int j, int k)` Returns true if the block at the specified coordinates is empty
    `boolean` | `isBlockNormalCube(int i, int j, int k)` Indicate if a material is a normal solid opaque cube.
    `boolean` | `isBlockOpaqueCube(int i, int j, int k)`
    `int` | `isBlockProvidingPowerTo(int i, int j, int k, int l)` Is this block powering in the specified direction Args: x, y, z, direction
    `boolean` | `isBlockSolidOnSide(int x, int y, int z, ForgeDirection side, boolean _default)` FORGE: isBlockSolidOnSide, pulled up from `World`

- - ### Method Detail

    - #### getBlockId

          int getBlockId(int i,
                       int j,
                       int k)

      Returns the block ID at coords x,y,z

    - #### getBlockTileEntity

          TileEntity getBlockTileEntity(int i,
                                      int j,
                                      int k)

      Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists

    - #### getLightBrightnessForSkyBlocks

          int getLightBrightnessForSkyBlocks(int i,
                                           int j,
                                           int k,
                                           int l)

    - #### getBlockMetadata

          int getBlockMetadata(int i,
                             int j,
                             int k)

      Returns the block metadata at coords x,y,z

    - #### getBrightness

          float getBrightness(int i,
                            int j,
                            int k,
                            int l)

    - #### getLightBrightness

          float getLightBrightness(int i,
                                 int j,
                                 int k)

    - #### getBlockMaterial

          Material getBlockMaterial(int i,
                                  int j,
                                  int k)

      Returns the block's material.

    - #### isBlockOpaqueCube

          boolean isBlockOpaqueCube(int i,
                                  int j,
                                  int k)

    - #### isBlockNormalCube

          boolean isBlockNormalCube(int i,
                                  int j,
                                  int k)

      Indicate if a material is a normal solid opaque cube.

    - #### isAirBlock

          boolean isAirBlock(int i,
                           int j,
                           int k)

      Returns true if the block at the specified coordinates is empty

    - #### getBiomeGenForCoords

          BiomeGenBase getBiomeGenForCoords(int i,
                                          int j)

    - #### getHeight

          int getHeight()

    - #### extendedLevelsInChunkCache

          boolean extendedLevelsInChunkCache()

    - #### doesBlockHaveSolidTopSurface

          boolean doesBlockHaveSolidTopSurface(int i,
                                             int j,
                                             int k)

    - #### getWorldVec3Pool

          Vec3Pool getWorldVec3Pool()

      Return the Vec3Pool object for this world.

    - #### isBlockProvidingPowerTo

          int isBlockProvidingPowerTo(int i,
                                    int j,
                                    int k,
                                    int l)

      Is this block powering in the specified direction Args: x, y, z, direction

    - #### isBlockSolidOnSide

          boolean isBlockSolidOnSide(int x,
                                   int y,
                                   int z,
                                   ForgeDirection side,
                                   boolean _default)

      FORGE: isBlockSolidOnSide, pulled up from `World`
      Parameters:
        `x` - X coord
        `y` - Y coord
        `z` - Z coord
        `side` - Side
        `_default` - default return value
      Returns:
        if the block is solid on the side